<?php

namespace HCM\Geral\Entity;

use HCM\Util\TkEntity;
use HCM\Util\Repositories;

class ContcorrparcEntity
{

    private $_nrOrg;
    private $_nrOrgPadrao;

    public function __construct($entityManager, $hcmParameters){
        
        $this->entityManager = $entityManager;
        $this->hcmParameters = $hcmParameters;
        $this->_nrOrg = $hcmParameters->getNrorgTrabalho();
        $this->_nrOrgPadrao = $hcmParameters->getNrorgPadrao();
    }

    public function retornaContaCorrentePorParceiro($nrParcNegocio) {
        
        $resultado = $this->entityManager->getRepository(Repositories::CONTCORRPARC)->findOneBy(array('nrorg' => array($this->_nrOrg, $this->_nrOrgPadrao),
            'nrparcnegocio' => $nrParcNegocio, 'idativo' => 'S'));

        return $resultado;
    }
	
    public function retornaContaCorrentePorParceiroBanco($nrParcNegocio, $cdbanco) {
        $resultado = $this->entityManager->getRepository(Repositories::CONTCORRPARC)->findOneBy(array('nrorg' => array($this->_nrOrg, $this->_nrOrgPadrao),
            'nrparcnegocio' => $nrParcNegocio, 'cdbanco' => $cdbanco, 'idativo' => 'S'));

        return $resultado;
    }	

    public function insereContaCorrente($nrorg, $nrparcnegocio, $nrtpcontcorr, $nrbanco, $nragencia, $nrconta) {
        $this->setNrorg($nrorg);
        $this->setNrparcnegocio($nrparcnegocio);
        $this->setNrtpcontcorr($nrtpcontcorr);
        $this->setCdbanco($nrbanco);
        $this->setCdagencia($nragencia);
        $this->setCdcontcorr($nrconta);
    }
}