<?php
namespace HCM\PTO\Repository;

use Doctrine\DBAL\Connection;
use Doctrine\ORM\EntityManager;

class EscalaTrabalhoRepository {

    protected  $connection;
    public function __construct(Connection $connection, EntityManager $entityManager) {
        $this->connection = $connection;
        $this->entityManager = $entityManager;
    }
    
    public function verificaExistenciaTurno($nrEscalaTrabM, $nrOrg) {
        
        $query = "
                SELECT 
                    COUNT(*)
                FROM GPE_TURNO
                WHERE NRESCALATRABM = :NRESCALATRABM AND NRORG = :NRORG"
        ;

        
        $parameters = 
        [
            "NRESCALATRABM" => $nrEscalaTrabM,
            "NRORG"         => $nrOrg,
        ];
        $result = $this->connection->fetchAssoc($query, $parameters);

        if($result['COUNT(*)'] > 0) 
            return true;
        else
            return false;
            
    }

}